// A. Sints
#pragma once


class COutputDlg : public CDialog {
	DECLARE_DYNAMIC( COutputDlg )
public:

	// ctor
	COutputDlg( CWnd * _pParent = NULL ) : CDialog( COutputDlg::IDD, _pParent ), m_hBmp( NULL ) {}

	// dtor
	virtual ~COutputDlg();

	// Dialog Data
	enum { IDD = IDD_OUTPUT };


public:

	// output bitmap
	void Output( const unsigned char * _pu8Src, const DWORD & _dwSrcWidth, const DWORD & _dwSrcHeight );

	// reset window
	void Reset();


protected:

	// on init dlg
	virtual BOOL OnInitDialog();

	// DDX/DDV support
	virtual void DoDataExchange( CDataExchange * _pDX ) { CDialog::DoDataExchange( _pDX ); }

	// ok close
	void OnOK() {};
	void OnCancel() { ::PostMessage( GetParent()->m_hWnd, WM_CLOSE, 0, 0 ); }

	// on paint
	afx_msg void OnPaint();


private:

	// draw rect
	CRect m_rctDraw;

	// bitmap handle
	HBITMAP m_hBmp;
	unsigned char * m_pu8Dst;

	// bitmap device context
	CDC m_bmpDC;

	// bitmap mutex
	CMutex m_mtxBmp;

	DECLARE_MESSAGE_MAP()
};
