// A. Sints
#include "stdafx.h"

#include "..\StukaDlg.h"
#include "SIAdjustment.h"


// RGB Adjustment
#include "RGBAdjustment.h"


// get vertical flip type from string
const CSIAdjustment::eFlip CSIAdjustment::GetFlipType( const CString & _sFlip ) {

	if( _sFlip == L"auto" )		return FT_AUTO; else
	if( _sFlip == L"true" )		return FT_TRUE; else
	if( _sFlip == L"false" )	return FT_FALSE; else {
		CStukaDlg::Output( L"Error (SIAdjustment): Unknown flip type '" );
		CStukaDlg::Output( _sFlip );
		CStukaDlg::Output( L"'.\n" );
		return FT_NULL;
	}
}



// adjust RGB table
void CSIAColorBalance::Adjust( CRGBAdjustment & _rRGBAdjustment ) {
	_rRGBAdjustment.ColorBalance( m_dCR, m_dMG, m_dYB );
}


// adjust RGB table
void CSIABrightness::Adjust( CRGBAdjustment & _rRGBAdjustment ) { _rRGBAdjustment.Brightness( m_dBrightnessRatio ); }


// adjust RGB table
void CSIAContrast::Adjust( CRGBAdjustment & _rRGBAdjustment ) { _rRGBAdjustment.Contrast( m_dContrastRatio ); }

// adjust RGB table
void CSIASaturation::Adjust( CRGBAdjustment & _rRGBAdjustment ) { _rRGBAdjustment.Saturation( m_dSaturationRatio ); }

// adjust RGB table
void CSIADNR::Adjust( CRGBAdjustment & _rRGBAdjustment ) { _rRGBAdjustment.SetDNRLevel( m_dwLevel ); }

// adjust RGB table
void CSIAVerticalFlip::Adjust( CRGBAdjustment & _rRGBAdjustment ) { _rRGBAdjustment.SetVerticalFlip( m_eFlip ); }