// A. Sints
#include "stdafx.h"

#include "..\StukaDlg.h"
#include "SGroup.h"


// parse script
const bool CSGroup::Parse( const CString & _sScript ) {

	int iParamStart = 0;
	CString sParam;
	while( ExtractParam( _sScript, sParam, iParamStart, true ) )
		m_lRefID.AddTail( sParam );

	// ok
	return true;
}


// validate script
const bool CSGroup::Validate() {

	// list of input or group ID references must have at least one element
	if( m_lRefID.IsEmpty() ) {
		CStukaDlg::Output( L"Error (SGroup): Failed to validate script: list of input or group ID references must have at least one element.\n" );
		return false;
	}

	// ok
	return true;
}