// A. Sints
#pragma once

/*
group( "id" ) {
	"input_id or group_id",
		...
}*/


// extract
#include "Extract.h"


// Stuka Script Group class
class CSGroup sealed : public CExtract {
public:

	// dflt ctor
	CSGroup( LPCTSTR _sID )
		: m_sID( _sID ) {}


public:

	// parse script
	const bool Parse( const CString & _sScript );

	// validate script
	const bool Validate();

	// get ref ID list
	const CList< CString > & GetRefIDList() const { return m_lRefID; }


private:

	// group ID
	const CString m_sID;


private:

	// list of input or group ID references (must have at least one element)
	mutable CList< CString > m_lRefID;
};