// A. Sints
#include "stdafx.h"

#include "..\StukaDlg.h"
#include "SMDisplay.h"


// get cycle type from string
const CSMDisplay::eCycle CSMDisplay::GetCycleType( const CString & _sCycle ) {

	if( _sCycle == L"none" )				return DC_NONE; else
	if( _sCycle == L"each_measure" )		return DC_EACHMEASURE; else
	if( _sCycle == L"each_beat" )			return DC_EACHBEAT; else
	if( _sCycle == L"every_2_beats" )		return DC_EVERY2BEATS; else
	if( _sCycle == L"every_3_beats" )		return DC_EVERY3BEATS; else
	if( _sCycle == L"every_half_beat" )		return DC_EVERYHALFBEAT; else
	if( _sCycle == L"every_quarter_beat" )	return DC_EVERYQUARTERBEAT; else
	if( _sCycle == L"every_eighth_beat" )	return DC_EVERYEIGHTHBEAT; else	{
		CStukaDlg::Output( L"Error (SMDisplay): Unknown display cycle type '" );
		CStukaDlg::Output( _sCycle );
		CStukaDlg::Output( L"'.\n" );
		return DC_NULL;
	}
}