// A. Sints
#pragma once

/*
signature( beat_count, beat_unit );
*/


// Stuka Script Marker Signature class
class CSMSignature sealed {
public:

	// dflt ctor
	CSMSignature( const DWORD _dwBeatCount = 0, const DWORD _dwBeatUnit = 0 )
		: m_dwBeatCount( _dwBeatCount ), m_dwBeatUnit( _dwBeatUnit ) {}


public:

	// set time signature
	void SetSignature( const DWORD _dwBeatCount, const DWORD _dwBeatUnit ) { m_dwBeatCount = _dwBeatCount; m_dwBeatUnit = _dwBeatUnit; }

	// get beat count
	const DWORD & GetBeatCount() const { return m_dwBeatCount; }

	// get beat unit
	const DWORD & GetBeatUnit() const { return m_dwBeatUnit; }


private:

	// beat count (0: inherit from previous marker, error if we're on the marker #1)
	mutable DWORD m_dwBeatCount;

	// beat unit (0: inherit from previous marker, error if we're on the marker #1)
	mutable DWORD m_dwBeatUnit;
};