[Setup]
AppId={{B604A0BD-96BC-455F-8934-E0EFFEE3EEB7}
AppName=Stuka
AppVerName=Stuka 1.0.9
AppPublisher=silentbreed
AppPublisherURL=http://www.silentbreed.com/stuka/
AppSupportURL=http://www.silentbreed.com/stuka/
AppUpdatesURL=http://www.silentbreed.com/stuka/
DefaultDirName={pf}\Stuka
DefaultGroupName=Stuka
DisableProgramGroupPage=yes
OutputDir=.
OutputBaseFilename=Stuka_setup
Compression=lzma
SolidCompression=yes
VersionInfoVersion=1.0.9

[Languages]
Name: "english"; MessagesFile: "compiler:Default.isl"

[Files]
; add executable
Source: "..\Release\Stuka.exe"; DestDir: "{app}"; Flags: ignoreversion

; add FFMPEG dll
Source: "..\Release\avcodec-52.dll"; DestDir: "{app}"; Flags: ignoreversion
Source: "..\Release\avcore-0.dll"; DestDir: "{app}"; Flags: ignoreversion
Source: "..\Release\avformat-52.dll"; DestDir: "{app}"; Flags: ignoreversion
Source: "..\Release\avutil-50.dll"; DestDir: "{app}"; Flags: ignoreversion
Source: "..\Release\swscale-0.dll"; DestDir: "{app}"; Flags: ignoreversion

; add VC redistribuable package (2008 SP1)
Source: "vcredist_x86.exe"; DestDir: "{app}"; Flags: deleteafterinstall

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked
Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Icons]
Name: "{group}\Stuka"; Filename: "{app}\Stuka.exe"
Name: "{commondesktop}\Stuka"; Filename: "{app}\Stuka.exe"; Tasks: desktopicon
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Stuka"; Filename: "{app}\Stuka.exe"; Tasks: quicklaunchicon

[Run]
; execute VC redistribuable package (2008 SP1) silent
Filename: "{app}\vcredist_x86.exe"; Parameters: "/Q:A /R:N";
